=== debian/control ===
Source: s6-portable-utils
Section: admin
Priority: optional
Maintainer: anticapitalista <anticapitalista@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
Build-Depends-Arch:
 skalibs-dev (>= 2.10.0.2),
Standards-Version: 4.5.1
Homepage: https://skarnet.org/software/s6/
Vcs-Git: https://salsa.debian.org/zhsj/s6.git
Vcs-Browser: https://salsa.debian.org/zhsj/s6

Package: s6-portable-utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: s6-portable-utils is a set of tiny general Unix utilities, often 
 performing well-known tasks such as cut and grep, but optimized for simplicity and small size.
