## s6-portable-utils 2.3.0.3

=== debian/changelog ===
s6-portable-utils (2.3.0.3-1.0antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Sat, 20 Jan 2024 21:10:01 +0200

s6-portable-utils (2.3.0.3-1) unstable; urgency=medium

  * New upstream version 2.3.0.3

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 16 Sep 2023 11:07:13 +0200
