=== debian/control ===
Source: s6-portable-utils
Section: s6-experimental
Priority: optional
Maintainer: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 autotools-dev,
 s6 (>= 2.12),
 s6-rc (>= 0.5.4.2),
 execline (>= 2.9),
 s6-linux-utils (>= 2.6),
 libexecline2.9,
 libskarnet2.14
Standards-Version: 4.6.2

Package: s6-portable-utils
Architecture: any 
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 s6 (>= 2.12),
 s6-rc (>= 0.5.4.2),
 execline (>= 2.9),
 s6-linux-utils (>= 2.6),
 libexecline2.9,
 libskarnet2.14
Description: Tiny portable generic utilities.
 s6-portable-utils is a set of tiny general Unix utilities, often performing well-known tasks such as cut and grep, but optimized for simplicity and small size. They were designed for embedded systems and other constrained environments, but they work everywhere.
