## s6-portable-utils 2.3.0.4~antix1

=== debian/changelog ===
s6-portable-utils (2.3.0.4~antix1) unstable; urgency=medium

  * updtream update
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 17 Oct 2024 20:02:28 +0300
