=== debian/control ===
Source: s6-portable-utils
Section: admin
Priority: optional
Maintainer: Aitor <aitor_czr@gnuinos.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 libexecline-dev (>= 2.9.6.1),
 skalibs-dev (>= 2.14.3.0),
Standards-Version: 4.6.2
Homepage: https://skarnet.org/software/s6/
Vcs-Git: https://salsa.debian.org/zhsj/s6.git
Vcs-Browser: https://salsa.debian.org/zhsj/s6

Package: s6-portable-utils
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 s6 (<< 2.8.0.1),
Description: small and secure supervision software suite (shared library)
 s6 is a small suite of programs for UNIX, designed to allow process
 supervision (a.k.a service supervision), in the line of daemontools and
 runit, as well as various operations on processes and daemons. It is meant
 to be a toolbox for low-level process and service administration, providing
 different sets of independent tools that can be used within or without the
 framework, and that can be assembled together to achieve powerful
 functionality with a very small amount of code.
 .
 This package contains shared libraries.
