## s6-portable-utils 2.3.0.4

=== debian/changelog ===
s6-portable-utils (2.3.0.4-0experimental1) UNRELEASED; urgency=medium

  * New upstream release.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 05 Apr 2025 22:22:22 +1000

s6-portable-utils (2.3.0.3-0experimental1) UNRELEASED; urgency=medium

  * Packaged for init-diversity repo. Moved to gitlab.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 22 Jun 2024 22:22:22 +1000
