## s6-portable-utils 2.3.1.0

=== debian/changelog ===
s6-portable-utils (2.3.1.0-0antix1) unstable; urgency=medium

  * New upstream release 2.3.1.0 Many thanks to ProwlerGR

 -- anticapitalista <antix@operamail.com>  Sat, 17 May 2025 17:08:22 +0300
